org.springframework.format.datetime.joda

## Class ReadableInstantPrinter

- java.lang.Object
- - org.springframework.format.datetime.joda.ReadableInstantPrinter

All Implemented Interfaces:
  Printer<ReadableInstant>

    public final class ReadableInstantPrinter
    extends Object
    implements Printer<ReadableInstant>

Prints JodaTime `ReadableInstant` instances using a `DateTimeFormatter`.

Since:
  3.0
Author:
  Keith Donald

### Constructor Summary

Constructors
Constructor and Description
`ReadableInstantPrinter(DateTimeFormatter formatter)` Create a new ReadableInstantPrinter.

### Method Summary

Methods
`String` `print(ReadableInstant instant, Locale locale)` Print the object of type T for display.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReadableInstantPrinter

    public ReadableInstantPrinter(DateTimeFormatter formatter)

Create a new ReadableInstantPrinter.

Parameters:
  `formatter` - the Joda DateTimeFormatter instance

### Method Detail

#### print

    public String print(ReadableInstant instant,
               Locale locale)

Description copied from interface: `Printer`
Print the object of type T for display.

Specified by:
  `print` in interface `Printer<ReadableInstant>`
Parameters:
  `instant` - the instance to print
  `locale` - the current user locale
Returns:
  the printed text string